## tinyhttpd-ocaml 0.11

=== Makefile ===


all: build test

build:
	@dune build @install

test:
	@dune runtest --no-buffer --force

clean:
	@dune clean

doc:
	@dune build @doc

watch:
	@dune build @all -w

.PHONY: benchs tests build watch

=== debian/changelog ===
tinyhttpd-ocaml (0.11-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Apr 2023 12:55:17 -0700

tinyhttpd-ocaml (0.11-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Dec 2022 17:05:57 -0800

tinyhttpd-ocaml (0.11-0ubuntu4) kinetic; urgency=low

  * No change port to kinetic.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Mon, 14 Nov 2022 21:39:39 +0100

tinyhttpd-ocaml (0.11-0ubuntu3) jammy; urgency=low

  * Recompile with ocaml 4.13.1

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 17 Jun 2022 21:15:36 +0200

tinyhttpd-ocaml (0.11-0ubuntu2) jammy; urgency=low

  * No change port to jammy.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 18 Mar 2022 16:01:44 +0100

tinyhttpd-ocaml (0.11-0ubuntu1) impish; urgency=low

  * Initial Ubuntu release.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Thu, 24 Feb 2022 15:52:00 +0100

=== debian/control ===
Source: tinyhttpd-ocaml
Section: ocaml
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Alessandro Strada <alessandro.strada@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               dune (>= 2.0.0),
               ocaml-nox (>= 4.04.0)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://gapi-ocaml.forge.ocamlcore.org/

Package: libtinyhttpd-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Minimal HTTP server
 Minimal HTTP server using good old threads, with stream abstractions, simple
 routing, URL encoding/decoding, and optional compression with camlzip. It also
 supports server-sent events (w3c).
 .
 This package contains the development files of the tinyhttpd-ocaml library.

Package: libtinyhttpd-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: Minimal HTTP server
 Minimal HTTP server using good old threads, with stream abstractions, simple
 routing, URL encoding/decoding, and optional compression with camlzip. It also
 supports server-sent events (w3c).
 .
 This package contains the shared runtime library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p tiny_httpd

override_dh_auto_test:
	true

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	cp -rLv _build/install/default/lib/tiny_httpd '$(OCAMLFIND_DESTDIR)'
	find '$(OCAMLFIND_DESTDIR)' -name '*.ml' -delete
	find '$(OCAMLFIND_DESTDIR)' -name '*.dune' -delete
	touch '$(OCAMLFIND_DESTDIR)/tiny_httpd/dune-package'

override_dh_auto_clean:
	rm -rf _build/

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
